This topic contains 9 replies, has 5 voices, and was last updated by  Daniel Sarmas 1 year ago.

Dropping PHP 5.3 Support

  • Post count: 5104

    In the coming months, we’ll be dropping support for PHP versions below 5.4 ( PHP 5.4+ will be supported ) in most of our themes and plugins.

    What is PHP?

    PHP is a scripting language used by WordPress and our themes. Like any other software, PHP needs updates to patch security issues and improve its features. Just like any other software, PHP should be kept up-to-date. Currently, PHP 5.6 is the lowest still supported version by the PHP organization.

    What does that mean?

    This probably isn’t going to affect 99% of you. Especially if you’ve started your site just recently. Most hosting providers provide PHP 5.4+ support.
    PHP stopped releasing security upgrades for version 5.3 in 2014. Here is a list of unsupported PHP Versions by the PHP organization. If your hosting provider is using any of those versions, you should ask your hosting provider to upgrade your server. It should be a free upgrade, and if they refuse, you should consider moving to a different host.

    How to update?

    Search your hosting providers knowledge-base for “how to change PHP version” and you should find your answer pretty quickly. If you can’t – there is probably live chat or some other kind of support that you can reach out to.
    If your hosting provider doesn’t offer a way to switch your PHP version, send them an e-mail.
    To make it easier for you, here is a sample e-mail you can just copy and send to your hosting provider:

     

    I’m interested in using a premium WordPress theme for my site that requires at least PHP 5.4.
    Wordpress.org and the theme authors also recommend that I update to a supported PHP version if possible. So I was wondering if my account supported the following:

    • PHP 5.6 or greater
    • MySQL 5.6 or greater
    • The mod_rewrite Apache module

    Can you please upgrade my PHP Version to the latest possible or at least PHP 5.4 ?
    Thanks!

    If they don’t upgrade your account after that – please find a better hosting provider. There is no excuse for using open-source, free software, that has been outdated for 5 years when there are tons of updates freely available.

    What if I want to stay on PHP 5.2.17 or PHP 5.3 ?

    We’ll have to assume you like outdated software. In that case, you won’t be able to update our themes anymore. If you accidentally update our theme and need to access an older version, please don’t hesitate to contact us on support forums. We’ll give you the latest theme version that is available for PHP 5.2.17 or PHP 5.3 if there is one available.

    • This topic was modified 1 year ago by  Norris.
    • This topic was modified 1 year ago by  Norris.
    Post count: 95

    I was update php to 5.6, but message
    <h4>Your PHP Version is insecure and out of date!</h4>
    Please upgrade your PHP version.

    In a future update ( Aster 1.4.0 ) Aster Theme will no longer support your server PHP version (PHP 5.3.3).

    You can read more about this in our support forums and on WPupdatePHP.com

    dont remove. How to close this message?

     

    Post count: 5104

    Hi Peter,
    Make sure that it’s not cache for some reason. Install a plugin called “Sysinfo” and see what output that gives.

    From the text you’ve pasted it seems that your PHP version is 5.3.3, but the minimum version is 5.3.29, so you might have to fiddle around a bit more to make sure you really change the PHP version. You can contact your hosting provider to help with that.

    Post count: 15

    I’ve recently been upgraded to PHP5.6 and now my site looks like the screenshot attached.

    Attachments:
    You must be logged in to view attached files.
    Post count: 6495

    Hi Kev, please go to the Kameron section ( https://help.colormelon.com/forums/forum/support/kameron/ ), scroll all the way down to the form and create a new topic.

    This reply has been set as private.

    Also – how do you remove the option to leave a comment on blog posts? I want to remove the commenting section all together so it simply shows the post.

    Post count: 6495

    There should be a form at the bottom of this page ( https://help.colormelon.com/forums/forum/support/aventine/ ) where you can create a new topic, but we’ll fix that soon. Please add this code to Theme Options > Advanced > Custom CSS, if you’re interested in modifying only that one page:

    And please read this article: https://www.ostraining.com/blog/wordpress/how-to-disable-comments-on-wordpress-posts/

    This reply has been set as private.
    Post count: 6495

    Hi,

    Could you please copy your post and paste it inside a new topic? We’d like to keep things organized. 🙂 You can open a new topic by going to this page https://help.colormelon.com/forums/forum/support/aventine/ and scrolling all the way down to the form.

You must be logged in to reply to this topic.